$(document).ready(function() {
   function openCity(evt, day) {
     // Hide all elements with class="tabcontent"
     $(".tabcontent").removeClass("active");
 
     // Remove the class "active" from all elements with class="tablinks"
     $(".tablinks").removeClass("active");
 
     // Show the current tab
     $("." + day).addClass("active");
 
     // Add an "active" class to the button that opened the tab
     $(evt.currentTarget).addClass("active");
   }
 
   // Trigger the openCity function on the button with class "default-open" when the page loads
   $(".default-open").each(function() {
     openCity({ currentTarget: this }, $(this).attr("data-day"));
   });
 
   // Add click event listeners to tab buttons
   $(".tablinks").on("click", function(evt) {
     openCity(evt, $(this).attr("data-day"));
   });
 });

    $(document).ready(function() {
      var stickyElement = $('.schedule-tabs-container')[0];
      var sentinel = $('#sentinel')[0];

      var observer = new IntersectionObserver(function(entries) {
        entries.forEach(function(entry) {
          if (!entry.isIntersecting) {
            // Add class when sentinel is not visible (element is sticky)
            $(stickyElement).addClass('is-sticky');
          } else {
            // Remove class when sentinel is visible (element is not sticky)
            $(stickyElement).removeClass('is-sticky');
          }
        });
      }, { threshold: [0] });

      observer.observe(sentinel);
    });